net.sf.jasperreports.components.sort

## Class SortComponentFill

- java.lang.Object
- - net.sf.jasperreports.engine.component.BaseFillComponent
  - - net.sf.jasperreports.components.sort.SortComponentFill

- All Implemented Interfaces:
    FillComponent

      public class SortComponentFill
      extends BaseFillComponent

  Version:
    $Id: SortComponentFill.java 6932 2014-02-27 09:32:21Z teodord $
  Author:
    Narcis Marcu (narcism@users.sourceforge.net)

- - ### Field Summary

    - ### Fields inherited from class net.sf.jasperreports.engine.component.BaseFillComponent

      `elementId, fillContext, printElementOriginator`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SortComponentFill(SortComponent sortComponent)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `copy(JRGenericPrintElement printElement)`
    `JRFillCloneable` | `createClone(JRFillCloneFactory factory)`
    `void` | `evaluate(byte evaluation)` Evaluates the fill component.
    `void` | `evaluateDelayedElement(JRPrintElement element, byte evaluation)` The default implementation throws `UnsupportedOperationException`.
    `protected void` | `evaluateSortComponent(byte evaluation)`
    `JRPrintElement` | `fill()` Fills the component by creating a print element which will be included in the generated report.
    `protected FilterTypesEnum` | `getFilterType()`
    `protected SortComponent` | `getSortComponent()`
    `protected boolean` | `isEvaluateNow()`
    `FillPrepareResult` | `prepare(int availableHeight)` Prepares to fill the component by deciding whether the component will print, and how much vertical space it will require.

    - ### Methods inherited from class net.sf.jasperreports.engine.component.BaseFillComponent

      `deduplicate, evaluateExpression, initialize, rewind`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SortComponentFill

          public SortComponentFill(SortComponent sortComponent)

  - ### Method Detail

    - #### getSortComponent

          protected SortComponent getSortComponent()

    - #### isEvaluateNow

          protected boolean isEvaluateNow()

    - #### evaluate

          public void evaluate(byte evaluation)
                        throws JRException

      Description copied from interface: `FillComponent`
      Evaluates the fill component.

      This method would evaluate the component expressions and store the results to be used in `FillComponent.fill()`.

      If the component needs to delay the evaluation of some of its expressions, it would call `FillContext.registerDelayedEvaluation(JRPrintElement, EvaluationTimeEnum, String)` to register a delayed evaluation print element, and perform the delayed evaluations on `FillComponent.evaluateDelayedElement(JRPrintElement, byte)`.

      Parameters:
        `evaluation` - the evaluation type
      Throws:
        `JRException`
      See Also:
        `FillContext.evaluate(net.sf.jasperreports.engine.JRExpression, byte)`

    - #### evaluateSortComponent

          protected void evaluateSortComponent(byte evaluation)
                                        throws JRException

      Throws:
        `JRException`

    - #### fill

          public JRPrintElement fill()

      Description copied from interface: `FillComponent`
      Fills the component by creating a print element which will be included in the generated report.

      This method will get called only if `FillComponent.prepare(int)` returned a result that indicated that the component will print.

      Returns:
        the print element generated by the component

    - #### prepare

          public FillPrepareResult prepare(int availableHeight)

      Description copied from interface: `FillComponent`
      Prepares to fill the component by deciding whether the component will print, and how much vertical space it will require.
      Parameters:
        `availableHeight` - the amount of vertical space available for the component, starting from the top of the component element.
      Returns:
        the result of the preparation, which specifies whether the component will print and how much it will stretch vertically.

    - #### createClone

          public JRFillCloneable createClone(JRFillCloneFactory factory)

    - #### evaluateDelayedElement

          public void evaluateDelayedElement(JRPrintElement element,
                                    byte evaluation)
                                      throws JRException

      Description copied from class: `BaseFillComponent`
      The default implementation throws `UnsupportedOperationException`.

      If a component supports delayed evaluation, it needs to override this method.

      Specified by:
        `evaluateDelayedElement` in interface `FillComponent`
      Overrides:
        `evaluateDelayedElement` in class `BaseFillComponent`
      Parameters:
        `element` - the print element for which delayed evaluation has been registered
        `evaluation` - the evaluation type
      Throws:
        `JRException`
      See Also:
        `FillComponent.evaluate(byte)`

    - #### copy

          protected void copy(JRGenericPrintElement printElement)

    - #### getFilterType

          protected FilterTypesEnum getFilterType()

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com